<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form Kraft</title>
    <link rel="stylesheet" href="./resources/css/main.css">
    <link rel="stylesheet" href="./resources/css/navbar.css">
    <link rel="stylesheet" href="./resources/css/homepage/createFormSection.css">
    <link rel="stylesheet" href="./resources/css/homepage/formCards.css">
    <link rel="stylesheet" href="./resources/css/toast.css">
  </head>
  <body>
    <nav>
    </nav>
    <main>
       <div class="create-section">
            <div id="template-section">
            </div>
            <div id="others-forms-section" class="forms-section">
            </div>
            <div id="my-forms-section" class="forms-section">
            </div>
       </div> 
    </main>
    <script>



      function initializeTemplates(formTemplates){
        const formTemplateSection = document.getElementById('template-section')
        formTemplates.forEach(template=>{
          formTemplateSection.insertAdjacentHTML('beforeend',`
          <div class="template-holder">
            <div class="form-card form-template" data-locked= ${template.locked?'true':'false'}>
                <div class="details">
                    <div class="form-template-title">
                      ${template.templateName}
                    </div>
                    <div class="form-template-body">
                      ${template.templateDescription}
                    </div>
                </div>
                <div class="actions">
                    <img class="actions-btn" onclick="(()=>{
                      window.location = '/createForm.html?template=blank'
                    })()" src="./resources/images/plus-lg.svg">
                </div>
             
            </div>
            ${
                template.locked?"<div class='form-template__locked-overlay'><img  class='form-template_locked-icon' src='./resources/images/icons/lock-fill.svg'/></div>":""
              }
          </div>
          `)
        })
      }

      let testTemplates = [
        {
          templateName : "Blank",
          templateDescription : "Create your own form from scratch",
          templateId:"0"
        },
        {
          templateName : "Survey Template",
          templateDescription : "Create a brand new survey form using this template",
          locked: true,
          templateId:"1"
        },
        {
          templateName : "Quiz Template",
          templateDescription : "Create a short quiz in 5 mins",
          locked: true,
          templateId:"2"
        },
      ]

      initializeTemplates(testTemplates);
      
    </script>
    <script type="module" async>
      import {Navbar} from "./resources/js/Navbar.js"
      import {initializeForms} from "./resources/js/Form/formCard.js";
      import {createToast} from "./resources/js/toasts.js";
      import {getLoginInfo} from "./resources/js/utils.js"
      Navbar();
      let user = getLoginInfo();
      await initializeForms();
      let queryString = window.location.search;
      let urlParams = new URLSearchParams(queryString);
      let isSubmissionRedirect= urlParams.get('isSubmissionRedirect');
      if(isSubmissionRedirect==="1"){
        console.log("here")
        createToast({
          heading:"Submission Successful",
          message:"Thanks "+user+" ! Your response has been recorded."
        })
      }
    </script>

  </body>
</html>